VAJProjectDescription (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ide.VAJProjectDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJProjectDescription

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.ide.VAJProjectDescription

public class VAJProjectDescription
extends java.lang.Object

Type class. Holds information about a project edition.

Author:
  Wolf Siberski

Constructor Summary
`VAJProjectDescription()`
`VAJProjectDescription(java.lang.String n, java.lang.String v)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getVersion()`
`boolean` | `projectFound()`
`void` | `setName(java.lang.String newName)` name of the VAJ project to load into the workspace; required
`void` | `setProjectFound()` this may be a helper method, and is being ignored for now
`void` | `setVersion(java.lang.String newVersion)` name of the requested version; required.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAJProjectDescription

    public VAJProjectDescription()

### VAJProjectDescription

    public VAJProjectDescription(java.lang.String n,
                                 java.lang.String v)

Method Detail

### getName

    public java.lang.String getName()

### getVersion

    public java.lang.String getVersion()

### projectFound

    public boolean projectFound()

### setName

    public void setName(java.lang.String newName)

  name of the VAJ project to load into the workspace; required

### setVersion

    public void setVersion(java.lang.String newVersion)

  name of the requested version; required.

### setProjectFound

    public void setProjectFound()

  this may be a helper method, and is being ignored for now

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.